<!DOCTYPE html>

<html lang="ru">
    <head>
        <meta charset="UTF-8">
        <title>
            Web 2
        </title>

        <link rel="stylesheet" href="style.css">

    </head>

    <body>
        <header>
          <div class="block">
            <img id="img" src="logo.png" alt="logo">
          </div>

          <div id="name">Web 2</div>
        </header>

        <nav>
            <a id="r" class="hr" href="#reffers">Ссылки</a>

            <a class="hr" href="#table">Таблица</a>

            <a id="l" class="hr" href="#form">Форма</a>
        </nav>

      <div class="block">
      <div id="reffers">

        <p><a id="top"></a></p>

        <h2>Нумерованный список гиперссылок</h2>

        <ol>
          <li><a href="http://example.com">Абсолютная гиперссылка на главную страницу сайта example.com</a></li>

          <li><a href="https://example.com">Абсолютная гиперссылка на главную страницу сайта example.com в протоколе https</a></li>

          <li><a href="ftp://example.com/Download/file.txt">Ссылка на файл на сервере ftp без авторизации</a></li>

          <li><a href="ftp://admin:admin@example.com/Download/file.txt">Ссылка на файл на сервере FTP с авторизацией</a></li>

          <li><a href="http://example.com/file.html#example">ссылка на фрагмент страницы сайта</a></li>

          <li><a href="#top">ссылка на фрагмент текущей страницы</a></li>

          <li><a href="https://example.com?type=shirt&color=black">ссылка с двумя параметрами в URL</a></li>

          <li>
            <ul>
                <li><a title="Вверх">Вверх</a></li>

                <li><a title="Вниз">Вниз</a></li>
            </ul>
            </li>

          <li><a>ссылка без href </a></li>

          <li><a href="">ссылка с пустым href</a></li>

          <li><a href="https://example.com" rel="nofollow">ссылка, по которой запрещен переход поисковикам </a></li>

          <li><a href="https://example.com" rel="dofollow">запрещенна для индексации поисковиками</a></li>

          <li><p>контекстная <a href="https://example.com">ссылка </a> в тексте абзаца </p></li>

          <li><a href="https://example.com"><img src="image.jpg" width="100" height="100" alt="picture">ссылка-изображение</a></li>
          <li>
            <ul>
                <li><img src="image.jpg" width="100" height="100" usemap="#map" alt="p1">
                    <map name="map">
                      <area shape="circle" coords="50,50,10" alt="map1" href="https://example.com">
                    </map>
                ссылка из круглой области картинки</li>

                <li><img src="image.jpg" width="100" height="100" usemap="#map2" alt="p2">
                    <map name="map2">
                      <area shape="rect" coords="15,15,85,85">
                      <area shape="rect" coords="0,0,100,100" alt="map2" href="https://example.com">
                    </map>
                ссылка из прямоугольных областей картинки</li>
            </ul>
            </li>

          <li><a href="example.html">относительная на страницу в текущем каталоге</a></li>

          <li><a href="about/example.html">относительная на страницу в каталоге about</a></li>

          <li><a href="../example.html">относительная на страницу в каталоге уровнем выше текущего</a></li>

          <li><a href="../../example.html">относительная на страницу в каталоге двумя уровнями выше</a></li>

          <li><a href="/">сокращенная на главную</a></li>

          <li><a href="/example">сокращенная ссылка на внутреннюю</a></li>
        </ol>
      </div>

      <div id="table">

            <h2>Таблица</h2>

            <table>
              <tr  class="cell">
                <th>A</th>
                <th>B</th>
                <th>C</th>
                <th>D</th>
              </tr>
              <tr>
                <td colspan="4">A1 - B1 - C1 - D1</td>
              </tr>
              <tr class="cell">
                <td>A2</td>
                <td>B2</td>
                <td>C2</td>
                <td>D2</td>
              </tr>
              <tr>
                <td>A3</td>
                <td>B3</td>
                <td>C3</td>
                <td>D3</td>
              </tr>
              <tr class="cell">
                <td>A4</td>
                <td colspan="2">B4 - C4</td>
                <td>D4</td>
              </tr>
              <tr>
                <td>A5</td>
                <td>B5</td>
                <td>C5</td>
                <td>D5</td>
              </tr>
              <tr class="cell">
                <td>A5</td>
                <td colspan="3">B5 - C5 - D5</td>
              </tr>
            </table>
          </div>

      <div id="form">

        <h2>Форма</h2>

    <form action="example.com" method="POST">

      <label> Текстовое поле:<br/>
        <input name="field-name" value="Меня зовут: "/>
      </label><br/>

      <label> E-mail:<br/>
        <input name="field-email" value="abc123@example.com" type="email"/>
      </label><br/>

      <label> Дата Рождения:<br/>
        <input name="field-date" value="2020-01-01" type="date"/>
      </label><br/>

      Пол:<br/>
      <label><input type="radio" checked="checked" name="radio1" value="М"/>
        М</label>
      <label><input type="radio" name="radio1" value="Ж"/>
        Ж</label><br/>

      Кол-во конечностей:<br/>
      <label><input type="radio" checked="checked" name="radio2" value="1"/>
        1</label>
      <label><input type="radio" name="radio2" value="4"/>
        4</label>
        <label><input type="radio" name="radio2" value="6"/>
          6</label>
      <label><input type="radio" name="radio2" value="8"/>
        8</label>
        <label><input type="radio" name="radio2" value="10"/>
          10</label>
      <label><input type="radio" name="radio2" value="11"/>
        >10</label><br/>

        <label>
            Сверхспособности:
            <br/>
            <select name="field-name-4[]" multiple="multiple">
              <option value="1" selected="selected">Бессмертие</option>
              <option value="2">Прохождение сквозь стены</option>
              <option value="3">Левитация</option>
              <option value="4">Дыхание под водой</option>
              <option value="5">Сверхсила</option>
              <option value="6">Телепатия</option>
              <option value="7">Телекинез</option>
              <option value="8">Ясновидение</option>
              <option value="9">Телепортация</option>
              <option value="10">Невидимость</option>
            </select>
          </label><br/>

      <label>
        Биография:<br/>
        <textarea name="field-name2">Расскажите о себе: </textarea>
      </label><br/>

      С контрактом ознакомлен<br/>
      <label><input type="checkbox" checked="checked" name="check1"/>
        Согласен со всем</label><br/>

      <input type="submit" value="Отправить"/>
    </form>

    <p><a id="bottom"></a></p>
    </div></div>

      <footer>
        <p id="last">(с) Александр Турищев 2020</p>
      </footer>
    </body>
</html>

